
<div class="row aling-items-center">
    <div class="col-md-12">
        <h6 class="title">Calle</h6>
        <div class="d-flex position-absolute" style="top: 7px; right: 16px;">
            <a class="btn btn-sm py-1 mr-2" (click)="add()">
                Nuevo
            </a>
            <a class="btn btn-success btn-sm text-white py-1" (click)="search.show()">
                Existente
            </a>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <ul class="list-group data-grid">
            <li class="list-group-item">
                <div class="list-group-body">
                    <div class="list-group-img m-0" *ngIf="residenciaService.model?.CalleId">
                        <i class="mdi mdi-road bg-transparent text-body"></i>
                    </div>
                    <div class="list-group-text" [ngClass]="{'my-1 ml-2': !residenciaService.model?.CalleId}">
                        <span class="list-group-title">{{ (service.model.Nombre || residenciaService.model?.CalleNombre) || 'Sin Asignar' }}</span>
                    </div>
                </div>
            </li>
        </ul>
    </div>
</div>

<ng-template #form>
    <app-calle-form></app-calle-form>
</ng-template>

<search-template #search searchTitle="Calle" [service]="service" [columns]="columns"
    (onSelect)="selectedItem($event)" [busy]="service.busy">
</search-template>

